<?
 /*SCRIPT PARA ALMACENAR LAS NOTAS DE UNA UNIDAD DE CADA ALUMNO*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();

  if(!$_POST[tipo_trn]){
    alert("Parámetros incorrectos","frm_login.php");
  }

switch ($tipo_trn){
case "Add":


  if(!$txtarchivo){
    alert("Debe seleccionar un archivo","javascript:history.go(-1)");
  }


     $extension=strtolower(substr($HTTP_POST_FILES['txtarchivo']['name'],-3));
     switch($extension){
      case "pdf":
      case "doc":
      case "xls":
      case "pdf":
      case "ppt":
      case "pps":
      case "zip":
      break;
      default: alert("Extensión de archivo inválida","javascript:history.go(-1)");
     }

     $id_cr=dec($cid);
     $id_gr=dec($gid);

     $narchivo=$HTTP_POST_FILES['txtarchivo']['name'];
     $tmparchivo=$txtarchivo;
     $narchivo=del_tildes($narchivo);

     $qver=mysql_query("select * from archivos
                        where archivo = '$narchivo'
                        and curso = '$id_cr'
                        and grado = $id_gr");

     $file="/archivos/$id_cr/$narchivo";
     @mkdir("../archivos","0777");
     @mkdir("../archivos/$id_cr","0777");
     copy($txtarchivo,"../archivos/$id_cr/$narchivo");

     if(!$txtlimite){
       $f_limite='N';
       $f_del="";
       $f_al="";
     }
     else{
       $f_limite='S';
       $f_del="$txtdyear-$txtdmes-$txtddia";
       $f_al="$txthyear-$txthmes-$txthdia";
     }

     if(mysql_num_rows($qver)==0){
      $id_se=dec($sid);
      $ins=mysql_query("insert into
                        archivos
                        set archivo='$narchivo',
                        descripcion='$txtdescripcion',
                        seccion='$id_se',
                        usuario='$uuser',
                        curso='$id_cr',
                        grado='$id_gr',
                        fecha ='$fechahora',
                        f_limite='$f_limite',
                        descargas=0,
                        del='$f_del',
                        al='$f_al'");
      if($ins){
       alert("Archivo Cargado\\n\\n$narchivo","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid");
      }
     }else{
      $upd=mysql_query("update
                        archivos
                        set descripcion='$txtdescripcion'
                        where
                        curso='$id_cr'
                        and grado='$id_gr'
                        and archivo = '$narchivo'");
      if($upd){
       alert("El archivo ya existía y fue reemplazado","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
      }

     }
break; // fin de Add

case "Update":
      $id_ar=dec($ida);
      if(!$txtlimite){
       $txtlimite="N";
      }
      $f_limite=$txtlimite;
      $f_del="$txtdyear-$txtdmes-$txtddia";
      $f_al="$txthyear-$txthmes-$txthdia";
//      echo $f_del." ".$f_al;
//      exit();
      $upd=mysql_query("update
                        archivos
                        set
                        descripcion='$txtdescripcion',
                        usuario='$uuser',
                        f_limite='$f_limite',
                        del='$f_del',
                        al='$f_al'
                        where id = $id_ar");
      if($upd){
        alert("Archivo actualizado con éxito","frm_archivos.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
      }else{
        alert("Error:".mysql_error(),"javascript:history.go(-1)");
      }

}

?>